Subject: bug#11003: Emacs-24 Hangs When Displaying Unicode #x6c0 (ARABIC HEH WITH YEH ABOVE) -- gdb backtrace

From: Kenichi Handa <[email-masked]>
Date: Wed, 21 Mar 2012 11:09:51 +0900

In article <[email-masked]>, Mohsen BANAN <[email-masked]> writes:
  Kenichi> I've just installed a fix to the trunk.  Please try again
  Kenichi> with the latest code.

> I tested your code and it works in my environment.

> The character unicode #x6c0 is properly displayed
> and emacs24 does not hang.

That's good.

> So, I think bug#11003 can be considered closed.

Yes.

> But, for my benefit (and perhaps others) perhaps
> you can describe what was special about that
> one character and that one font. Were there other
> characters that were also problematic?
> Why was this not a problem in emacs23 and how/when did
> it enter emacs24? ...

Emacs calls a function of m17n-lib (the underlining shaper
engine), and that function calls Emacs' callback funciton
ftfont_drive_otf.  The bug was in incorrect handling of an
argument given to ftfont_driver_otf in some case.

As Arabic characters are displayed without underlining
shaper engine in Emacs 23, this bug was not revealed.

So, it is better to apply the fix to emacs 23 too if we are
going to release 23.5.

---
Kenichi Handa
[email-masked]